std::enable_shared_from_this::weak_from_this(3)

NAME
std::enable_shared_from_this::weak_from_this - std::enable_shared_from_this::weak_from_this

Synopsis
   std::weak_ptr<T> weak_from_this() noexcept; (1) (since C++17)
   std::weak_ptr<T const> weak_from_this() const noexcept; (2) (since C++17)
   Returns a std::weak_ptr<T> that tracks ownership of *this by all existing
   std::shared_ptr that refer to *this.

Notes
   This is a copy of the private mutable weak_ptr member that is part of
   enable_shared_from_this.

Return value
   std::weak_ptr<T> that shares ownership of *this with pre-existing std::shared_ptrs

Example
    This section is incomplete
    Reason: no example

See also
   shared_ptr smart pointer with shared object ownership semantics
   (C++11) (class template)